<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css" type="text/css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    
    <title>Document</title>
</head>

<body>
    <form action="">
        <div class="flex-container">
            <p id="bildbeschriftung">Bild einfügen</p>
            <input type="file" accept="image/*" name="image" id="image" style="display: none;">
            <label for="image"><img src="resource/icon_bildupload.JPG" width="70px" height="50px"></label>
        </div>
        <script>
            let file = document.getElementById("image");
            let message = document.getElementById("bildbeschriftung");
            file.addEventListener("input", () => {
                if(file.files.length){
                    let filename = file.files[0].name;
                    message.innerHTML = `${filename}`;
                } else {
                    message.innerHTML = "Bild einfügen";
                }
            })
        </script>
    </form>
</body>

</html>